import { getScheduleDetail, uploadPermissions } from '../../api/request.js'
Page({
  data: {
    title: '',
    location: '',
    startTime: '',
    endTime: '',
    weeks: ['周一', '周二', '周三', '周四', '周五', '周六', '周日'],
    week: '',
    userList: [],
    aheadTimes: [],
    isAcrossDay: true,
    describe: '',
    spaceId: ''

  },
  onLoad() {
    dd.setNavigationBar({
      title: '会议详情'
    })
    let data = {
      id: '1172'
    }
    getScheduleDetail(data).then(res => {
      this.setData({
        title: res.data.data.title,
        location: res.data.data.location,
        startTime: res.data.data.startTime,
        endTime: res.data.data.endTime,
        userList: res.data.data.userList,
        aheadTimes: res.data.data.aheadTimes,
        // describe: res.data.data.describe,
        week: this.data.weeks[new Date(res.data.data.startTime).getDay() - 1]
      })
      this.acrossDay(res.data.data.startTime, res.data.data.endTime)
      return uploadPermissions()
    }).then(res => {
      this.setData({
        spaceId: res.data.data
      })
    })
  },
  // 是否跨天
  acrossDay(time1, time2) {
    console.log(this.dealTime(time1))
    console.log(this.dealTime(time2))
    let isAcrossDay = ''
    if (JSON.stringify(this.dealTime(time1)) === JSON.stringify(this.dealTime(time2))) {
      isAcrossDay = false
    } else {
      isAcrossDay = true
    }
    this.setData({
      isAcrossDay: isAcrossDay
    })
  },
  // 处理时间
  dealTime(time) {
    let time1 = time.replace(/-/g, "/")
    let date = new Date(time1)
    let day = date.getDate()
    let year = date.getFullYear()
    let month = date.getMonth() + 1
    return {
      year: year,
      month: month,
      day: day
    }
  },
  upload() {
    dd.uploadAttachmentToDingTalk({
      image: { multiple: true, compress: false, max: 9, spaceId: this.data.spaceId },
      space: { spaceId: this.data.spaceId, isCopy: 1, max: 9 },
      file: { spaceId: 'this.data.spaceId', max: 1 },
      types: ["photo", "camera", "space"],//PC端仅支持["photo","file","space"]
      success: (res) => {
        console.log(JSON.stringify(res), 111111)
      },
      fail: (err) => {
        dd.alert({
          content: JSON.stringify(err)
        })
      }
    })
  },
  preview() {

  }



});
